Bug 1251026 - [abrt] WARNING: CPU: 0 PID: 132 at drivers/gpu/drm/i915/intel_crt.c:146 hsw_crt_pre_enable+0x82/0x90 [i915]() [i915]
[abrt] WARNING: CPU: 0 PID: 132 at drivers/gpu/drm/i915/intel_crt.c:146 hsw_c...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d4be797bdaa4f11070ebf1fa339...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:39 EDT by Shatadru Bandyopadhyay
Modified: 2016-07-19 13:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (81.98 KB, text/plain)
2015-08-06 08:39 EDT, Shatadru Bandyopadhyay
no flags Details

  None (edit)
Description Shatadru Bandyopadhyay 2015-08-06 08:39:00 EDT
Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 0 PID: 132 at drivers/gpu/drm/i915/intel_crt.c:146 hsw_crt_pre_enable+0x82/0x90 [i915]()
SPLL already enabled
Modules linked in: 8021q garp stp llc mrp rtsx_pci_sdmmc mmc_core i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul drm e1000e crc32_pclmul crc32c_intel ghash_clmulni_intel serio_raw rtsx_pci ptp mfd_core pps_core video
CPU: 0 PID: 132 Comm: kworker/u16:6 Not tainted 4.0.6-300.fc22.x86_64 #1
Hardware name: LENOVO 20AWS2A101/20AWS2A101, BIOS GLET77WW (2.31 ) 01/27/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 000000009a318c4c ffff880428533678 ffffffff81783884
 0000000000000000 ffff8804285336d0 ffff8804285336b8 ffffffff8109c70a
 0000000000000000 ffff880426b10000 ffff880426951000 ffff8804286c6000
Call Trace:
 [<ffffffff81783884>] dump_stack+0x45/0x57
 [<ffffffff8109c70a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c795>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01f04d2>] hsw_crt_pre_enable+0x82/0x90 [i915]
 [<ffffffffa01d7dcf>] haswell_crtc_enable+0x41f/0xb50 [i915]
 [<ffffffffa01d4ea1>] __intel_set_mode+0x921/0xb80 [i915]
 [<ffffffffa01dc2ef>] intel_crtc_set_config+0xc9f/0x1010 [i915]
 [<ffffffff811fe436>] ? kfree+0x146/0x160
 [<ffffffffa00f3056>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa0158738>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
 [<ffffffffa015a789>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
 [<ffffffffa015a802>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
 [<ffffffffa01ebbea>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff814102cf>] fbcon_init+0x58f/0x610
 [<ffffffff81491d4c>] visual_init+0xbc/0x120
 [<ffffffff81493e11>] do_bind_con_driver+0x1d1/0x3d0
 [<ffffffff814945cb>] do_take_over_console+0x11b/0x1b0
 [<ffffffff8140be4b>] do_fbcon_takeover+0x5b/0xc0
 [<ffffffff81410df5>] fbcon_event_notify+0x6e5/0x7e0
 [<ffffffff81419415>] ? register_framebuffer+0x2e5/0x380
 [<ffffffff810bc54f>] notifier_call_chain+0x4f/0x80
 [<ffffffff810bc8bb>] __blocking_notifier_call_chain+0x4b/0x70
 [<ffffffff810bc8f6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff81416e1b>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8141934a>] register_framebuffer+0x21a/0x380
 [<ffffffffa015aabb>] drm_fb_helper_initial_config+0x28b/0x400 [drm_kms_helper]
 [<ffffffffa01ec7cb>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810be13a>] async_run_entry_fn+0x4a/0x150
 [<ffffffff810b5a0b>] process_one_work+0x1bb/0x410
 [<ffffffff810b5cb3>] worker_thread+0x53/0x470
 [<ffffffff810b5c60>] ? process_one_work+0x410/0x410
 [<ffffffff810bb718>] kthread+0xd8/0xf0
 [<ffffffff810bb640>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff81789dd8>] ret_from_fork+0x58/0x90
 [<ffffffff810bb640>] ? kthread_worker_fn+0x180/0x180
Comment 1 Shatadru Bandyopadhyay 2015-08-06 08:39:09 EDT
Created attachment 1059912 [details]
File: dmesg
Comment 2 Evan McClain 2015-10-02 13:14:36 EDT
Description of problem:
Attempting to use external VGA output of Dell Precision M4800 with integrated intel GPU (:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)) and Optimus setup with nouveau (01:00.0 VGA compatible controller: NVIDIA Corporation GK107GLM [Quadro K1100M] (rev a1)).

The VGA output (I believe driven by the intel card) does not work, while the HDMI output (driven by nouveau) works as intended.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.1.5-200.fc22.x86_64 root=UUID=d8f76f4d-217f-4ee7-8c9e-8b5c9db98276 ro rootflags=subvol=root rd.luks.uuid=luks-82808ddc-0d93-41ae-bf1c-41b3e20edf29 rd.luks.uuid=luks-a63026f1-6cbf-44e2-8393-33693709e851 rhgb quiet LANG=en_US.UTF-8
kernel:         4.1.5-200.fc22.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 129 at drivers/gpu/drm/i915/intel_crt.c:146 hsw_crt_pre_enable+0x82/0x90 [i915]()
SPLL already enabled
Modules linked in: nouveau i915 mxm_wmi ttm crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper e1000e ghash_clmulni_intel drm serio_raw ptp sdhci_pci pps_core wmi sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 129 Comm: kworker/u16:5 Not tainted 4.1.5-200.fc22.x86_64 #1
Hardware name: Dell Inc. Precision M4800/0X3C7N, BIOS A13 01/29/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000e7972afa ffff8808073cf5e8 ffffffff8179b89d
 0000000000000000 ffff8808073cf640 ffff8808073cf628 ffffffff810a165a
 ffff8808073cf628 ffff88003fc80000 ffff880806ba4e00 ffff880807153000
Call Trace:
 [<ffffffff8179b89d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa026a0f2>] hsw_crt_pre_enable+0x82/0x90 [i915]
 [<ffffffffa025201f>] haswell_crtc_enable+0x41f/0xb50 [i915]
 [<ffffffffa024ee22>] __intel_set_mode+0xaa2/0xce0 [i915]
 [<ffffffffa00ab43e>] ? drm_atomic_get_crtc_state+0x1e/0xc0 [drm]
 [<ffffffffa025668f>] intel_crtc_set_config+0xd3f/0x1080 [i915]
 [<ffffffff8120b986>] ? kfree+0x146/0x160
 [<ffffffffa009b516>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa015fd18>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
 [<ffffffffa0161d79>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
 [<ffffffffa0161df2>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
 [<ffffffffa02658ba>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81422f9f>] fbcon_init+0x58f/0x610
 [<ffffffff814a5bcc>] visual_init+0xbc/0x120
 [<ffffffff814a7bc1>] do_bind_con_driver+0x1d1/0x3d0
 [<ffffffff814a8100>] do_take_over_console+0x120/0x1b0
 [<ffffffff8141eb1b>] do_fbcon_takeover+0x5b/0xc0
 [<ffffffff814231ad>] set_con2fb_map+0x18d/0x3c0
 [<ffffffff814234ea>] fbcon_event_notify+0x10a/0x7e0
 [<ffffffff8142c0e5>] ? register_framebuffer+0x2e5/0x380
 [<ffffffff810c19df>] notifier_call_chain+0x4f/0x80
 [<ffffffff810c1d4b>] __blocking_notifier_call_chain+0x4b/0x70
 [<ffffffff810c1d86>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff81429aeb>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8142c01a>] register_framebuffer+0x21a/0x380
 [<ffffffffa0162093>] drm_fb_helper_initial_config+0x273/0x450 [drm_kms_helper]
 [<ffffffffa026643b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c363a>] async_run_entry_fn+0x4a/0x150
 [<ffffffff810baa8b>] process_one_work+0x1bb/0x410
 [<ffffffff810bad33>] worker_thread+0x53/0x480
 [<ffffffff810bace0>] ? process_one_work+0x410/0x410
 [<ffffffff810c0ba8>] kthread+0xd8/0xf0
 [<ffffffff810c0ad0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817a2262>] ret_from_fork+0x42/0x70
 [<ffffffff810c0ad0>] ? kthread_worker_fn+0x180/0x180
Comment 3 Fedora End Of Life 2016-07-19 13:23:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.